This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301984 - systemd asking for password on boot: ask_password_tty() deletes too many symbols on screen when deleting special characters
systemd asking for password on boot: ask_password_tty() deletes too many symb...
Status: NEW
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 08:29 EST by Christian Stadelmann
Modified: 2016-11-24 11:37 EST (History)
7 users (show)

See Also:
Fixed In Version: systemd-222-14.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 18:23:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2016-01-26 08:29:34 EST
Description of problem:
When typing special characters like German umlauts ä,ö,ü or the consonant ß, systemd prints two asterisks ("star" symbol, `*`) instead of one. I guess it will be printing 3 or 4 asterisks for some chinese/japanese characters.

Version-Release number of selected component (if applicable):
systemd-222-13.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. start `systemd-ask-password foo` on any tty
2. type any password with special characters
3. watch number of asterisks printed

Actual results:
some key presses result in multiple asterisks printed

Expected results:
just one asterisk should be printed
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-26 09:03:12 EST
Yeah, a straightforward unicode handling issue.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-26 17:08:47 EST
https://github.com/systemd/systemd/pull/2446
Comment 3 Fedora Update System 2016-02-01 09:51:33 EST
systemd-222-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3fc0f9415
Comment 4 Fedora Update System 2016-02-01 21:26:50 EST
systemd-222-14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3fc0f9415
Comment 5 Christian Stadelmann 2016-02-03 17:34:45 EST
Typing special characters is fixed now.
Typing dead keys before another key will still add 2 asterisks. This might be Ok, I am not sure.

But there remains one issue:
1. type something with dead keys, e.g. èáû
2. press the delete key until you can't delete anything anymore

What happens:
Not only the asterisks are deleted, but also part of the prompt.
Comment 6 Fedora Update System 2016-02-04 18:23:10 EST
systemd-222-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora End Of Life 2016-11-24 10:12:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.